Bug 217187 - print/frescobaldi: update to 2.20.0
Summary: print/frescobaldi: update to 2.20.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Olivier Duchateau
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-18 01:44 UTC by m.ne
Modified: 2017-02-18 15:55 UTC (History)
2 users (show)

See Also:
martin.dieringer: maintainer-feedback+


Attachments
Patch for print/frescobaldi to 2.20.0 (5.13 KB, patch)
2017-02-18 01:44 UTC, m.ne
no flags Details | Diff
new patch with better LILYPOND option (5.26 KB, patch)
2017-02-18 09:43 UTC, martin.dieringer
martin.dieringer: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m.ne 2017-02-18 01:44:47 UTC
Created attachment 180094 [details]
Patch for print/frescobaldi to 2.20.0
Comment 1 Olivier Duchateau freebsd_committer 2017-02-18 07:22:43 UTC
(In reply to m.ne from comment #0)

Hi Martin,

I think your new Makefile is not in good shape. I propose new patch (not tested), more simple.

I followed this section [1]

[1] https://www.freebsd.org/doc/en/books/porters-handbook/makefile-options.html#options-dependencies


Index: Makefile
===================================================================
--- Makefile	(révision 434327)
+++ Makefile	(copie de travail)
@@ -12,8 +12,7 @@
 LICENSE=	GPLv2+
 LICENSE_FILE=	${WRKSRC}/COPYING
 
-RUN_DEPENDS=	lilypond:print/lilypond \
-		${PYTHON_PKGNAMEPREFIX}poppler-qt4>=0:graphics/py-poppler-qt4 \
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}poppler-qt4>=0:graphics/py-poppler-qt4 \
 		${PYTHON_PKGNAMEPREFIX}python-ly>=0:print/py-python-ly
 
 USE_GITHUB=	yes
@@ -24,4 +23,9 @@
 USE_KDE=	kdelibs pykde4_build pykde4_run
 USE_PYTHON=	distutils autoplist
 
+OPTIONS_DEFINE=	LILYPOND
+LILYPOND_DESC=	Use LilyPond unstable
+LILYPOND_RUN_DEPENDS=	lilypond:print/lilypond-devel
+LILYPOND_RUN_DEPENDS_OFF=	lilypond:print/lilypond
+
 .include <bsd.port.mk>
Comment 2 martin.dieringer 2017-02-18 09:43:26 UTC
Created attachment 180102 [details]
new patch with better LILYPOND option
Comment 3 commit-hook freebsd_committer 2017-02-18 15:51:53 UTC
A commit references this bug:

Author: olivierd
Date: Sat Feb 18 15:50:47 UTC 2017
New revision: 434360
URL: https://svnweb.freebsd.org/changeset/ports/434360

Log:
  - Update to 2.20.0 [1]
  - Add LILYPOND option (switch between print/lilypond and
    print/lilypond-devel) [1], [2]
  - Remove unneeded patches

  PR:		217187
  Submitted by:	<m.ne@gmx.net> [1], <martin.dieringer@gmx.de> [2]
  Approved by:	<martin.dieringer@gmx.de> (maintainer)

Changes:
  head/print/frescobaldi/Makefile
  head/print/frescobaldi/distinfo
  head/print/frescobaldi/files/
Comment 4 Olivier Duchateau freebsd_committer 2017-02-18 15:55:40 UTC
Committed!